html {
    position: relative;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Raleway", sans-serif;
}

/*===== Colores =====*/
:root {
    --first-color: #5361ff;
    --white-color: #fafaff;
    --dark-color: #2a3b47;
    --text-color: #697477;
}

/*===== Fuente y tipografia =====*/
:root {
    --body-font: 'Montserrat', sans-serif;
    --big-font-size: 6.25rem;
    --h2-font-size: 1.25rem;
    --normal-font-size: 0.938rem;
    --small-font-size: 0.813rem;
}

@media screen and (min-width: 768px) {
    :root {
        --big-font-size: 10.5rem;
        --h2-font-size: 2rem;
        --normal-font-size: 1rem;
        --small-font-size: 0.875rem;
    }
}

/*===== Margenes =====*/
:root {
    --mb-1: 0.5rem;
    --mb-2: 1rem;
    --mb-3: 1.5rem;
    --mb-4: 2rem;
}

/* ===== Colours ===== */
:root {
    --body-color: #E4E9F7;
    --nav-color: #0B60B0;
    --side-nav: #010718;
    --text-color: #FFF;
    --search-bar: #F2F2F2;
    --search-text: #010718;
}

body {
    margin-bottom: 50px;
    margin-top: 50px;
    background-color: #fff;
    /* color: #F0EDCF;
    color: #40A2D8;
    color: #0B60B0;
    color: #000000; */
}

body.dark {
    background-color: #333;
    /* Ganti dengan warna latar belakang dark mode yang diinginkan */
    color: #fff;
    /* Ganti dengan warna teks yang diinginkan pada dark mode */
    --body-color: #18191A;
    --nav-color: #242526;
    --side-nav: #242526;
    --text-color: #CCC;
    --search-bar: #242526;
}

.language-toggle {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1000;
    cursor: pointer;
    font-weight: bold;
    color: #333;
}

.dark-mode-toggle {
    position: fixed;
    top: 20px;
    right: 60px;
    z-index: 1000;
    cursor: pointer;
}

.dark-mode-icon {
    width: 30px;
    height: 30px;
    background: url('/img/R.ico') center center no-repeat;
    background-size: cover;
    display: inline-block;
}

.navbar-default .darkLight-searchBox {
    display: flex;
    align-items: center;
    margin-top: 4%;
}

.darkLight-searchBox .dark-light,
.darkLight-searchBox .searchToggle {
    height: 40px;
    width: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 5px;
}

.dark-light i,
.searchToggle i {
    position: absolute;
    color: var(--text-color);
    font-size: 22px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.dark-light i.sun {
    opacity: 0;
    pointer-events: none;
}

.dark-light.active i.sun {
    opacity: 1;
    pointer-events: auto;
}

.dark-light.active i.moon {
    opacity: 0;
    pointer-events: none;
}


/* .navbar-default .navbar-toggle .icon-bar {
    background-color: #3b9cff;
} */


body.dark nav {
    border: 1px solid #393838;
    background-color: #000;
}

.navbar-default {
    background-color: #0B60B0;
}

.navbar-default .navbar-brand {
    color: #fff;
    padding-top: 15px;
    padding-left: 30px;
}

.navbar-default .navbar-brand:hover {
    color: #F0EDCF;

}

.navbar-default .navbar-nav li a {
    color: #fff;
    display: inline-block;
    /* Tambahkan properti display: inline-block; */
    position: relative;
    /* Tambahkan properti position: relative; */
}

.navbar-default .navbar-nav li a:hover,
.navbar-default .navbar-nav li a.active {
    color: #F0EDCF;
}

.navbar-default .navbar-nav li a:hover::after,
.navbar-default .navbar-nav li a.active::after {
    content: '';
    position: absolute;
    bottom: 8px;
    left: 50%;
    /* Pusatkan garis bawah */
    transform: translateX(-50%);
    width: 80%;
    /* Sesuaikan lebar dengan teks */
    height: 2px;
    /* Sesuaikan tinggi garis */
    background-color: #fff;
    /* Warna garis */
    animation: fadeIn 3s ease-in-out;
}

/* Mobile 476/576/768 */
@media (max-width: 728px) {
    .navbar-default .darkLight-searchBox {
        margin-top: 1%;
    }

    .navbar-default .navbar-toggle .icon-bar {
        background-color: #fff;
    }

    .navbar-default .navbar-nav li a:hover {
        width: 18%;
    }

    .navbar-toggle {
        border: none;
        background: transparent !important;
    }

    .navbar-toggle .icon-bar {
        background: #fff;
        transition: all 0.3s;
    }

    .navbar-toggle .icon-bar.close-bar {
        transform: rotate(45deg) translate(-2px, -1px);
    }

    .navbar-toggle .icon-bar.close-bar:nth-of-type(2) {
        opacity: 0;
    }

    .navbar-toggle .icon-bar.close-bar:nth-of-type(3) {
        transform: rotate(-45deg) translate(-3px, 3px);
    }

    /* animation */
    .navbar-toggle:hover .icon-bar:nth-of-type(2) {
        animation: wave 1s ease-out forwards;
        animation-delay: 0.1s;
    }

    .navbar-toggle:hover .icon-bar:nth-of-type(3) {
        animation: wave 1s ease-in-out forwards;
        animation-delay: 0.2s;
    }

    .navbar-toggle:hover .icon-bar:nth-of-type(4) {
        animation: wave 1s ease-in forwards;
        animation-delay: 0.3s;
    }

    @keyframes wave {
        0% {
            transform: scaleX(1);
        }

        50% {
            transform: scaleX(0.5);
        }

        100% {
            transform: scaleX(1);
        }
    }

}

/* .jumbotron {
    background-image: url('../img/lu.jpg');
    background-attachment: fixed;
    background-size: cover;
    background-position: 0 -100px;
    overflow: hidden;
} */

.jumbotron {
    background: #353353;
    padding: 0;
    height: 100vh;
    min-height: 100vh;
    background-attachment: fixed;
    background-size: cover;
    background-position: 0 -100px;
    overflow: hidden;
}

.intro {
    margin: auto;
    max-width: 540px;
    text-align: center;
    position: relative;
    z-index: 1;
}

.intro h1 {
    color: #FFF;
    font-size: 36px;
}

.intro span {
    color: #FFF;
    font-size: 16px;
}

.intro h1 {
    color: #282642;
    text-shadow: 3px 3px 6px #b8b9be, -3px -3px 6px #fff;
}

.intro .btn-default {
    background-color: #3b9cff;
    color: #fff;
}

.intro .btn-default:hover {
    background-color: #FF4C60;
    color: #fff;
}

.intro span {
    color: #454360;
}

.jumbotron img {
    width: 100%;
    /* Lebar 100% agar responsif */
    max-width: 180px;
    /* Batas maksimal lebar */
    border-bottom: 3px solid #ffffff;
    transition: transform 0.5s ease-in-out;
    cursor: pointer;
}

.jumbotron img:hover {
    -webkit-animation: jello 0.8s both;
    animation: jello 0.8s both;
}

/* Terapkan animasi goyang ke gambar */
.img-square {
    animation: shake 5s infinite;
    /* Gunakan animasi goyang selama 1 detik secara terus menerus */
}

/**
   * ----------------------------------------
   * animation jello-diagonal-1
   * ----------------------------------------
   */
@keyframes jello {

    from,
    11.1%,
    to {
        transform: translate3d(0, 0, 0);
    }

    22.2% {
        transform: skewX(-12.5deg) skewY(-12.5deg);
    }

    33.3% {
        transform: skewX(6.25deg) skewY(6.25deg);
    }

    44.4% {
        transform: skewX(-3.125deg) skewY(-3.125deg);
    }

    55.5% {
        transform: skewX(1.5625deg) skewY(1.5625deg);
    }

    66.6% {
        transform: skewX(-0.78125deg) skewY(-0.78125deg);
    }

    77.7% {
        transform: skewX(0.390625deg) skewY(0.390625deg);
    }

    88.8% {
        transform: skewX(-0.1953125deg) skewY(-0.1953125deg);
    }
}

/* Tambahkan animasi goyang */
@keyframes shake {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(5deg);
    }

    50% {
        transform: rotate(-5deg);
    }

    75% {
        transform: rotate(3deg);
    }

    100% {
        transform: rotate(0deg);
    }
}

.jumbotron h1,
.jumbotron p {
    color: #ffffff;
}

.jumbotron .text-3 {
    font-size: 40px;
    margin: 5px 0;
    color: #ffffff;
}

.jumbotron .text-3 span {
    color: coral;
    font-weight: 600;
    font-size: 40px;
}

hr {
    width: 250px;
    border-top: 2px solid #999;
}

.social-icons {
    padding-top: 5px;
    justify-content: center;
    margin-bottom: 3%;
}

.social-icons li a .icofont-twitter,
.icofont-facebook,
.icofont-instagram,
.icofont-youtube,
.icofont-blogger,
.icofont-whatsapp,
.icofont-telegram,
.bi-github {
    color: #fff;
    border: 2px solid #fff;
    border-radius: 50%;
    /* line-height: inherit; */
    padding: 5px;
    margin: 0 5px;
    /* Menggunakan shorthand margin untuk pengaturan margin kiri dan kanan */
    font-size: 20px;
    /* Menggunakan ukuran font yang lebih umum */
    text-decoration: none;
}

.social-icons li a .icofont-twitter:hover {
    border: 2px solid #1DA1F2;
    background: #1DA1F2;
    color: #fff;
}

.social-icons li a .bi-github:hover {
    border: 2px solid #525455;
    background: white;
    color: black;
}

.social-icons li a .icofont-facebook:hover {
    border: 2px solid #4267B2;
    background: #4267B2;
    color: #fff;
}

.social-icons li a .icofont-instagram:hover {
    border: 2px solid #C13584;
    /* background: #C13584; */
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
    color: #fff;
}

.social-icons li a .icofont-youtube:hover {
    border: 2px solid #e60e0e;
    background: #ec0505;
    color: #fff;
}

.social-icons li a .icofont-blogger:hover {
    border: 2px solid #f54b08;
    background: #f34905;
    color: #fff;
}

.social-icons li a .icofont-whatsapp:hover {
    border: 2px solid #fff;
    background: #0bc524;
    color: #fff;
}

.social-icons li a .icofont-telegram:hover {
    border: 2px solid #1DA1F2;
    background: #1DA1F2;
    color: #fff;
}

/*=================================================================*/
/*                      PARALLAX SHAPES                          */
/*=================================================================*/
.parallax {
    position: absolute;
    left: 0;
    top: 0;
    height: 12%;
    width: 100%;
}

.parallax .layer {
    position: absolute;
}

.parallax .p1 {
    left: 10%;
    top: 10%;
}

.parallax .p2 {
    left: 25%;
    top: 30%;
}

.parallax .p3 {
    left: 15%;
    bottom: 30%;
}

.parallax .p4 {
    left: 10%;
    bottom: 10%;
}

.parallax .p5 {
    left: 45%;
    top: 10%;
}

.parallax .p6 {
    left: 40%;
    bottom: 10%;
}

.parallax .p7 {
    top: 20%;
    right: 30%;
}

.parallax .p8 {
    right: 30%;
    bottom: 20%;
}

.parallax .p9 {
    right: 10%;
    top: 10%;
}

.parallax .p10 {
    top: 45%;
    right: 20%;
}

.parallax .p11 {
    bottom: 10%;
    right: 10%;
}

@media only screen and (max-width: 576px) {
    .parallax .p1 {
        left: 10%;
        top: 10%;
    }

    .parallax .p2 {
        left: 15%;
        top: 30%;
    }

    .parallax .p3 {
        left: 10%;
        bottom: 45%;
    }

    .parallax .p4 {
        left: 10%;
        bottom: 25%;
    }

    .parallax .p5 {
        left: 40%;
        top: 10%;
    }

    .parallax .p6 {
        left: 40%;
        bottom: 25%;
    }

    .parallax .p7 {
        top: 20%;
        right: 30%;
    }

    .parallax .p8 {
        right: 25%;
        bottom: 40%;
    }

    .parallax .p9 {
        right: 10%;
        top: 10%;
    }

    .parallax .p10 {
        top: 45%;
        right: 10%;
    }

    .parallax .p11 {
        bottom: 25%;
        right: 10%;
    }
}

.scroll-down {
    position: absolute;
    top: 520px;
    left: 0;
    width: 100%;
    z-index: 1;
}

.scroll-down.light span {
    color: #fff;
}

.scroll-down.light .mouse {
    border-color: #fff;
}

.scroll-down.light .mouse .wheel {
    background: #fff;
}

@-webkit-keyframes ani-mouse {
    0% {
        top: 29%;
    }

    15% {
        top: 50%;
    }

    50% {
        top: 50%;
    }

    100% {
        top: 29%;
    }
}

@keyframes ani-mouse {
    0% {
        top: 29%;
    }

    15% {
        top: 50%;
    }

    50% {
        top: 50%;
    }

    100% {
        top: 29%;
    }
}

.mouse-wrapper {
    color: #FFF;
    font-size: 14px;
    display: block;
    max-width: 100px;
    margin: auto;
    text-align: center;
}

.mouse-wrapper:hover {
    color: #FFF;
    list-style: none;
    text-decoration: none;
}

.mouse {
    border: solid 2px #FFF;
    border-radius: 16px;
    display: block;
    margin: auto;
    margin-top: 10px;
    height: 26px;
    position: relative;
    width: 20px;
}

.mouse .wheel {
    background: #e0e5ec;
    border-radius: 100%;
    display: block;
    position: absolute;
    top: 8px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    height: 4px;
    width: 4px;
    -webkit-animation: ani-mouse 2s linear infinite;
    animation: ani-mouse 2s linear infinite;
}

/* Mobile 476/576/768 */
@media (max-width: 728px) {
    .jumbotron {
        height: 85vh;
        min-height: 85vh;
    }

    .jumbotron .text-3 {
        font-size: 25px;
    }

    .jumbotron .text-3 span {
        font-size: 25px;
    }

    .jumbotron img {
        width: 110px;
    }

    .intro h1 {
        font-size: 25px;
    }

    .social-icons {
        margin: 5%;
        display: flex;
    }

    .scroll-down {
        top: 450px;
    }

    .parallax {
        height: 7%;
    }
}

/* About */
.about {
    text-align: justify;
    padding-top: 30px;
    margin-top: -50px;
}

.about #cv {
    margin-top: 30px;
}

#cv {
    margin-left: 450px;
    margin-top: 100px;
    width: 200px;
    height: 40px;
    border-radius: 20px;
    color: #fff;
    background-color: #40A2D8;
    padding-top: 8px;
    transition: all 0.5s;
}

#cv:hover {
    /* background-color: #fff; */
    color: #fff;
    background-color: #FF4C60;
    /* border: 2px solid #40A2D8;
    border-radius: 20px; */
}

/* Mobile 476/576/768 */
@media (max-width: 728px) {
    .about #cv {
        margin-left: 30%;
    }
}

/* Portfolio */

.portfolio {
    padding-top: 30px;
    margin-top: 10px;
    margin-bottom: -60px;
    /* background-color: #fcfafa; */
    /* background-image: url(../img/bg3.jpg); */
}

.portfolio h1 {
    font-family: Roboto-Regular;
    font-weight: 600;
    margin-bottom: 15px;
}

.portfolio .p1 {
    font-family: Roboto-Regular;
    padding-top: 20px;
    padding-bottom: 50px;
    text-align: center;
}

#portfolio .portfolio-container {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 50px;
    width: 100%;
}

.portfolio-thumbnail {
    margin-bottom: 30px;
    min-height: 260px;
}

.portfolio-thumbnail img {
    max-width: 100%;
}

@keyframes fadeIn1 {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeIn2 {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeIn3 {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Sesuaikan class animasi dengan animasi yang ingin digunakan */
.portfolio-thumbnail:nth-child(1) {
    animation: fadeIn1 0.8s ease-out;
}

.portfolio-thumbnail:nth-child(2) {
    animation: fadeIn2 0.8s ease-out;
}

.portfolio-thumbnail:nth-child(3) {
    animation: fadeIn3 0.8s ease-out;
}

/* Tambahkan efek hover */
.portfolio-thumbnail:hover {
    transform: scale(1.05);
    /* Efek perbesar saat hover */
}


.portfolio .nav-portfolio {
    display: flex;
    justify-content: center;
    margin: 50px auto;
}

.portfolio .items {
    display: flex;
    max-width: 720px;
    width: 100%;
    justify-content: space-between;
}

.items span {
    padding: 7px 25px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    color: #007bff;
    border-radius: 50px;
    border: 2px solid #007bff;
    transition: all 0.3s ease;
}

.items span.active,
.items span:hover {
    color: #fff;
    background: #007bff;
}


/* Mobile 476/576/768 */
@media (max-width: 728px) {
    #portfolio .portfolio-container {
        /* utk text */
        /* text-align: center;  */
        /* utk gambar */
        justify-content: center;

    }

    .nav-portfolio .items {
        /* width: 100%;
        margin: 30px auto; */
        flex-wrap: wrap;
        /* justify-content: center; */
    }

    .items span {
        padding: 7px 15px;
        margin: 10px auto;
    }
}



/*--------------------------------------------------------------
# Portfolio
--------------------------------------------------------------*/
.portfolio .portfolio-item {
    margin-bottom: 30px;
}

/* Gaya untuk container portfolio */
.portfolio-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    /* Memulai penempatan tombol dari bagian atas container */
    position: relative;
    /* Menjadikan container relatif */
}

.portfolio #portfolio-flters {
    padding: 0;
    margin: 0 auto 35px auto;
    list-style: none;
    text-align: center;
    background: #fff;
    border-radius: 50px;
    padding: 2px 15px;
    box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.08);
}

.portfolio #portfolio-flters li {
    cursor: pointer;
    display: inline-block;
    padding: 10px 15px 8px 15px;
    font-size: 14px;
    font-weight: 600;
    line-height: 1;
    text-transform: uppercase;
    color: #5a656e;
    margin-bottom: 5px;
    transition: all 0.3s ease-in-out;
}

.portfolio #portfolio-flters li:hover,
.portfolio #portfolio-flters li.filter-active {
    color: #d43076;
}

.portfolio #portfolio-flters li:last-child {
    margin-right: 0;
}

.portfolio .portfolio-wrap {
    transition: 0.3s;
    position: relative;
    overflow: hidden;
    z-index: 1;
    border-radius: 15px;
}

.portfolio .portfolio-wrap::before {
    content: "";
    background: rgba(44, 73, 100, 0.6);
    position: absolute;
    left: 30px;
    right: 30px;
    top: 30px;
    bottom: 30px;
    transition: all ease-in-out 0.3s;
    z-index: 2;
    opacity: 0;
}

.portfolio .portfolio-wrap .details {
    color: #FFF;
    position: absolute;
    height: 100%;
    width: 100%;
    top: -90%;
    left: 0;
    right: 0;
    text-align: center;
    z-index: 3;
    transition: all ease-in-out 0.3s;
}

.portfolio .portfolio-wrap .details span.term {
    color: #FFF;
    background: #FF4C60;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    font-size: 14px;
    opacity: 0;
    display: inline-block;
    padding: 3px 10px;
    position: absolute;
    top: 0;
    left: 20px;
    /* -webkit-transform: translateY(-40px);
    -ms-transform: translateY(-40px); */
    transform: translateY(-40px);
    -webkit-transition: all cubic-bezier(0.075, 0.82, 0.165, 1) 1s;
    -o-transition: all cubic-bezier(0.075, 0.82, 0.165, 1) 1s;
    transition: all cubic-bezier(0.075, 0.82, 0.165, 1) 1s;
    box-shadow: 3px 3px 6px #0002, -3px -3px 6px #fff;
    z-index: 3;
}

.portfolio .portfolio-wrap .portfolio-info {
    opacity: 0;
    position: absolute;
    top: 10%;
    left: 0;
    right: 0;
    text-align: center;
    z-index: 3;
    transition: all ease-in-out 0.3s;
}

.portfolio .portfolio-wrap .portfolio-info h4 {
    font-size: 20px;
    color: #fff;
    font-weight: 600;
}

.portfolio .portfolio-wrap .portfolio-info p {
    color: #ffffff;
    font-size: 14px;
    text-transform: uppercase;
}

.portfolio .portfolio-wrap .portfolio-links {
    opacity: 0;
    left: 0;
    right: 0;
    bottom: 10%;
    text-align: center;
    z-index: 3;
    position: absolute;
    transition: all ease-in-out 0.3s;
}

.portfolio .portfolio-wrap .portfolio-links a {
    color: #fff;
    margin: 0 2px;
    font-size: 28px;
    display: inline-block;
    transition: 0.3s;
}

.portfolio .portfolio-wrap .portfolio-links a:hover {
    color: #e684ae;
}

.portfolio .portfolio-wrap:hover::before {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 1;
}

.portfolio .portfolio-wrap:hover .details {
    top: calc(50% - 240px);
}

.portfolio .portfolio-wrap:hover .details span.term {
    opacity: 1;
    transform: translateY(40px);
}

.portfolio .portfolio-wrap:hover .portfolio-info {
    opacity: 1;
    top: calc(50% - 48px);
}

.portfolio .portfolio-wrap:hover .portfolio-links {
    opacity: 1;
    bottom: calc(50% - 60px);
}

#moreportfolio {
    /* margin-left: 330px; */
    /* margin-top: 20px; */
    width: 200px;
    height: 40px;
    border-radius: 20px;
    color: #fff;
    background-color: #40A2D8;
    padding-top: 8px;
    transition: all 0.5s;
    justify-content: center;
    text-align: center;
    align-items: center;
    position: absolute;
    bottom: -30px;
    /* Jarak dari bagian bawah */
    left: 50%;
    /* Posisi horizontal di tengah */
    transform: translateX(-50%);
    /* Memposisikan tombol ke tengah */
}

#moreportfolio:hover {
    /* background-color: #fff; */
    color: #fff;
    background-color: #FF4C60;
    /* border: 2px solid #40A2D8;
    border-radius: 20px; */
}

/* Tambahkan animasi */
@keyframes zoomIn {
    from {
        transform: scale(0.5);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

/* Terapkan animasi pada gambar */
.portfolio-item.show {
    animation: zoomIn 0.5s ease forwards;
}

/* Mobile 476/576/768 */
@media screen and (max-width: 768px) {
    #moreportfolio {
        margin-left: 50px;
    }
}

@media screen and (max-width: 576px) {
    .portfolio .portfolio-wrap {
        left: 7%;
    }

    #moreportfolio {
        margin-left: 30px;
    }
}


/* Certificate */

.row {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.certificate-container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    /* Menambahkan properti display flex */
    flex-wrap: wrap;
    /* Menambahkan properti flex-wrap wrap */
    justify-content: space-between;
    /* Menambahkan properti justify-content space-between */
}

.certificate-thumbnail {
    position: relative;
    overflow: hidden;
    margin: 10px;
    flex: 0 0 calc(33.3333% - 20px);
    /* Menambahkan properti flex */
}


.popup-img {
    display: block;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: filter 0.3s ease;
}

.popup-img:hover {
    filter: blur(0.5px);
}

.popup-img img {
    max-width: 100%;
    height: auto;
    display: block;
}

.popup-img:after {
    content: attr(data-title);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.popup-img:hover:after {
    opacity: 1;
}

.popup-img::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.7);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.popup-img:hover::before {
    opacity: 1;
}

/* Skill*/
.skill {
    padding: 30px;
    /* Atur padding agar lebih enak dilihat */
    margin-top: 30px;
}

.skill .wow {
    margin: 30px;
}

.skill .wow a {
    text-decoration: none;
    color: red;
}

.skill .wow a:hover {
    color: #3b9cff;
}


/* Mobile 476/576/768 */
@media (max-width: 728px) {
    .skill {
        padding: 20px;
        /* Atur padding agar lebih enak dilihat */
        overflow-y: hidden;
    }

    .skills__container {
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
        /* display: none; */
        flex-wrap: wrap;
    }

    .skills__img img {
        width: 100%;
    }

    .progress-bar {
        width: unset;
        /* Hapus min-width agar responsif */
        animation: progress-animation 3s ease-out;
        /* Tambahkan animasi */
    }
}

/* Tambahkan animasi */
@keyframes progress-animation {
    from {
        width: 0;
    }
}

/* ===== SKILLS =====*/
.skills__container {
    row-gap: 2rem;
    /* justify-content: center;
    align-items: flex-start; */
    display: flex;
    /* flex-wrap: wrap; */
    justify-content: center;
    /* align-items: flex-start; */
    /* Memulai penempatan tombol dari bagian atas container */
    position: relative;
    /* Menjadikan container relatif */
}

.skills__subtitle {
    color: var(--first-color);
    margin-bottom: var(--mb-3);
}

.skills__name {
    display: inline-block;
    font-size: 1.5rem;
    margin-right: var(--mb-2);
    margin-bottom: var(--mb-3);
    padding: 0.25rem 0.5rem;
    background-color: var(--white-color);
    border-radius: 0.50rem;
}

.skills__name:hover {
    transform: scale(1.05);
    /* Memberikan efek scaling saat hover */
}

.skills__project {
    display: inline-block;
    font-size: var(--large-font-size);
    margin-top: var(--mb-2);
    margin-right: var(--mb-2);
    margin-bottom: var(--mb-3);
    padding: 0.25rem 0.5rem;
    background-color: blue;
    color: var(--white-color);
    border-radius: 0.5rem;
}

.btn_black {
    display: inline-block;
    font-size: var(--small-font-size);
    padding: 0.25rem 0.5rem;
    background-color: black;
    color: var(--white-color);
    border-radius: 0.3rem;
}

.skills__project:hover {
    background-color: white;
    color: black;
}

.skills__name:hover {
    background-color: var(--first-color);
    color: var(--white-color);
}

.skills__img img {
    border-radius: 0.5rem;
    animation: shake 5s infinite;
}

.skills__img:hover {
    -webkit-animation: jello 0.8s both;
    animation: jello 0.8s both;
}

/* work exp*/

.workexp {
    padding-top: 30px;
    background-color: #3b9cff;
    min-height: 750px;
    color: #fff;
    /* animation: fadeIn 1s ease-in-out; */
    /* Menambahkan animasi fadeIn */
}

.hr {
    border-top: 2px solid #fff;
}

.services-box {
    background: #fff;
    padding: 15px;
    margin-top: 20px;
    border-radius: 10px;
    /* transition: transform 0.3s ease-in-out; */
    /* Menambahkan animasi saat hover */
}

.services-box:hover {
    transform: scale(1.05);
    /* Memberikan efek scaling saat hover */
}

.services-box span {
    color: #088dff;
    margin: 5px;
    margin-top: 20px;
    margin-left: 15px;
    font-size: 20px;
    font-weight: 600;
}

.services-box p {
    font-size: 15px;
    margin-left: 15px;
    margin-right: 15px;
    margin-top: 10px;
    color: #000;
    text-align: justify;
}

/* Mobile 476/576/768 */
@media (max-width: 728px) {
    .workexp {
        padding-bottom: 10%;
    }
}

/* Contact */
.contact {
    padding-top: 30px;
}

.contact .col-sm-4 span {
    padding: 10px;
    font-size: 19px;
}

.contact .icofont {
    color: #3b9cff;
}

.contact a .icofont {
    border: 2px solid #3b9cff;
    border-radius: 50%;
    line-height: inherit;
    padding: 8px;
    margin-left: 20px;
    margin-right: 20px;
}

.contact a .icofont:hover {
    background: #3b9cff;
    color: #fff;
    margin-left: 20px;
    margin-right: 20px;
}

.contact .col-sm-4 .icofont {
    padding: 10px;
    font-size: 23px;
}

/* .follow {
    padding-top: 40px;
}

.logo {
    padding-top: 27px;
    justify-content: center;
    margin-bottom: 10%;
}

.logo .icofont {
    font-size: x-large;
}

.contact a {
    text-decoration: none;
}

.thumbnail img {
    transition: 0.5s;
}

.thumbnail img:hover {
    border: 1px ridge #333;
    box-shadow: 2px 2px 4px #333;
    transform: scale(1.2);
}

.btn {
    margin-left: 450px;
    margin-top: 100px;
    width: 200px;
    height: 40px;
    border-radius: 20px;
    color: #fff;
    background-color: #40A2D8;
    padding-top: 8px;
}

.btn:hover {
    background-color: #fff;
    color: #40A2D8;
    border: 2px solid #40A2D8;
    border-radius: 20px;
}

.contact a .icofont-twitter:hover {
    border: 2px solid #1DA1F2;
    background: #1DA1F2;
    color: #fff;
}

.contact a .icofont-facebook:hover {
    border: 2px solid #4267B2;
    background: #4267B2;
    color: #fff;
}

.contact a .icofont-instagram:hover {
    border: 2px solid #C13584;
    background: #C13584;
    color: #fff;
}

.contact a .icofont-youtube:hover {
    border: 2px solid #e60e0e;
    background: #ec0505;
    color: #fff;
}

.contact a .icofont-blogger:hover {
    border: 2px solid #f54b08;
    background: #f34905;
    color: #fff;
}

.contact a .icofont-whatsapp:hover {
    border: 2px solid #fff;
    background: #0bc524;
    color: #fff;
}

.contact a .icofont-telegram:hover {
    border: 2px solid #1DA1F2;
    background: #1DA1F2;
    color: #fff;
} */

/* Mobile 476/576/768 */
@media (max-width: 728px) {
    .contact a .icofont {
        margin: 30px auto;
    }
}


/* === Form Control === */
.form-control {
    display: block;
    border-radius: 30px;
    width: 100%;
    height: 60px;
    padding: 10px 30px;
    font-size: 16px;
    font-weight: 400;
    line-height: 1.6;
    color: #454360;
    background-color: #e0e5ec;
    background-image: none;
    border: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.form-control:focus {
    outline: 0;
    background: #e0e5ec;

}

.form-control::-webkit-input-placeholder {
    /* Edge */
    color: #AEACCA;
}

.form-control:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: #AEACCA;
}

.form-control::-moz-placeholder {
    color: #AEACCA;
}

.form-control::-ms-input-placeholder {
    color: #AEACCA;
}

.form-control::placeholder {
    color: #AEACCA;
}

.form-group {
    margin-bottom: 30px;
}

.input-group-addon {
    padding: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1;
    color: #555;
    text-align: center;
    background-color: transparent;
    border: 0;
    border-radius: 0;
}

/* Responsive Form */
@media (max-width: 768px) {
    .contact-form .form-group {
        margin-bottom: 20px;
    }

    .contact-form .form-group #InputEmail {
        margin-left: 70px;
    }

    .contact-form .form-group #InputSubject {
        margin-left: 70px;
    }

    .contact-form .form-group #InputMessage {
        margin-left: 170px;
    }

    .contact-form .btn-default {
        margin-left: 180px;
    }
}

/* Responsive Form */
@media (max-width: 576px) {
    .contact-form .form-group #InputName {
        margin-right: 20px;
    }

    .contact-form .form-group #InputEmail {
        margin: auto;
    }

    .contact-form .form-group #InputSubject {
        margin: auto;
    }

    .contact-form .form-group #InputMessage {
        margin-left: 30px;
    }

    .contact-form .btn-default {
        margin-left: 50px;
    }
}

.btn-default {
    color: #FFF;
    background: #3b9cff;
    display: inline-block;
    vertical-align: middle;
    position: relative;
    margin-bottom: 50px;
    margin-top: 10px;
    margin-left: auto;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9, 7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9, inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9, inset 0px 0px 0px 0px #0001;
}

.btn-default:hover {
    background: #FF4C60;
    color: #FFF;
    -webkit-animation-name: button-push;
    animation-name: button-push;
    -webkit-animation-duration: 0.3s;
    animation-duration: 0.3s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
}

.contact .wow a {
    text-decoration: none;
    color: red;
}

.contact .wow a:hover {
    color: #3b9cff;
}

/* === Alert === */
.alert {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 20px;
}

.alert-dismissable .close,
.alert-dismissible .close {
    position: relative;
    top: 0;
    right: 0;
    color: inherit;
}

/*gmaps*/
.gmap {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 10px;
}


.box iframe {
    padding-top: 10px;
    padding-bottom: 20px;
    width: 80vw;
    height: 40vw;
}

/* Mobile 476/576/768 */

@media screen and (max-width: 576px) {
    .box iframe {
        width: 90vw;
        margin-left: 2%;
    }
}

/* footer */

/* footer {
    position: absolute;
    height: 50px;
    width: 100%;
    bottom: 0;
    background-color: #000;
    padding-top: 10px;
}

footer p {
    color: #4ba3ff;
} */

footer {
    position: absolute;
    height: 50px;
    width: 100%;
    bottom: 0;
    padding-top: 15px;
    text-align: center;
    background-color: rgb(10, 10, 10);
    color: rgb(241, 239, 239);
    font-weight: 400;
    /* padding: 8px; */
}

footer a {
    color: #5fcf80;
    text-decoration: none;
}


footer a:hover {
    color: #fff;
    text-decoration: none;
}

.portfolio-Stack-Used .sidebar-title {
    font-size: 2.6rem;
    font-weight: 600;
    border-left: 5px solid #0078ff;
    padding-left: 15px;
    /* text-transform: uppercase; */
    margin-bottom: 1.5rem;
}

.portfolio-Stack-Used ul li {
    display: inline-block;
    background-color: #0078ff;
    padding: 0.2rem 0.6rem;
    margin-bottom: 0.5rem;
    border-radius: 15px;
    color: #FFF;
    font-size: 1.4rem;
}

/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    overflow: hidden;
    background: #fff;
}

#preloader:before {
    content: "";
    position: fixed;
    top: calc(50% - 30px);
    left: calc(50% - 30px);
    border: 6px solid #5fcf80;
    border-top-color: #fff;
    border-bottom-color: #fff;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    -webkit-animation: animate-preloader 1s linear infinite;
    animation: animate-preloader 1s linear infinite;
}

@-webkit-keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*--------------------------------------------------------------
  # Back to top button
  --------------------------------------------------------------*/
.back-to-top {
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 2%;
    bottom: 3%;
    z-index: 996;
    background: #5fcf80;
    width: 40px;
    height: 40px;
    border-radius: 50px;
    transition: all 0.4s;
    padding: 6px;
}

.back-to-top i {
    font-size: 28px;
    color: #fff;
    line-height: 0;
}

.back-to-top:hover {
    background: #7ed899;
    color: #fff;
}

.back-to-top.active {
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
}

@media (max-width: 600px) {
    .back-to-top {
        bottom: 7%;
    }
}


/*--------------------------------------------------------------
# Breadcrumbs
--------------------------------------------------------------*/
.breadcrumbs {
    padding: 15px 0;
    background-color: #f5f2f3;
    min-height: 40px;
}

.breadcrumbs h2 {
    font-size: 24px;
    font-weight: 300;
}

.breadcrumbs ol {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    padding: 0;
    margin: 0;
    font-size: 14px;
}

.breadcrumbs ol li+li {
    padding-left: 10px;
}

.breadcrumbs ol li+li::before {
    display: inline-block;
    padding-right: 10px;
    color: #6c757d;
    content: "/";
}

@media (max-width: 768px) {
    .breadcrumbs .d-flex {
        display: block !important;
    }

    .breadcrumbs ol {
        display: block;
    }

    .breadcrumbs ol li {
        display: inline-block;
    }
}

/*--------------------------------------------------------------
# Portfolio Details
--------------------------------------------------------------*/
.prev,
.next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    cursor: pointer;
    padding: 10px;
    z-index: 100;
}

.prev {
    left: 0;
}

.next {
    right: 0;
}

.portfolio-details {
    padding-top: 40px;
}

.portfolio-details .portfolio-details-slider img {
    width: 100%;
}

.portfolio-details .portfolio-details-slider .swiper-pagination {
    margin-top: 20px;
    position: relative;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background-color: #fff;
    opacity: 1;
    border: 1px solid #d43076;
}

.portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active {
    background-color: #d43076;
}

.portfolio-details .portfolio-info {
    padding: 30px;
    box-shadow: 0px 0 30px rgba(44, 73, 100, 0.08);
}

.portfolio-details .portfolio-info h3 {
    font-size: 22px;
    font-weight: 700;
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid #eee;
}

.portfolio-details .portfolio-info ul {
    list-style: none;
    padding: 0;
    font-size: 15px;
}

.portfolio-details .portfolio-info ul li+li {
    margin-top: 10px;
}

.portfolio-details .portfolio-description {
    padding-top: 30px;
}

.portfolio-details .portfolio-description h2 {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 20px;
}

.portfolio-details .portfolio-description p {
    padding: 0;
}




/* Mobile 476/576/768 */

@media screen and (max-width: 576px) {
    #navbarNav {
        background-color: transparent;
        backdrop-filter: blur(5px);
        border: 1px solid white;
        border-radius: 20px;
        margin-top: 5%;
        padding: 5% 0;
    }
}

/* Tablet 768-1024 min = minimal ke atas*/
@media (min-width: 728px) {
    .navbar-nav a::after {
        width: 10%;
    }
}

/* Tablet */
@media (max-width: 1024px) {
    #navbarNav {
        background-color: transparent;
        backdrop-filter: blur(5px);
        border: 1px solid white;
        border-radius: 20px;
        margin-top: 5%;
        padding: 5% 0;
    }
}

/* Dekstop */
@media (min-width: 1200px) {
    .navbar-nav a::after {
        width: 100%;
    }
}